Get the agreement message to sign
curl --request POST \
--url https://partners-api.sandbox.securitize.io/stocks/v1/wallets/{address}/prepare-verification \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"investorId": "6b31c0e9a4f2d17e85c3b904",
"blockchainType": "solana"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({investorId: '6b31c0e9a4f2d17e85c3b904', blockchainType: 'solana'})
};
fetch('https://partners-api.sandbox.securitize.io/stocks/v1/wallets/{address}/prepare-verification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://partners-api.sandbox.securitize.io/stocks/v1/wallets/{address}/prepare-verification"
payload = {
"investorId": "6b31c0e9a4f2d17e85c3b904",
"blockchainType": "solana"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"agreementMessage": "By signing this message I confirm that I control the wallet 7EcDhSYGxXyscszYEp35KHN8vvw3svAuLKTzXwCFLtV and accept the Securitize wallet terms."
}{
"statusCode": 400,
"message": "WALLET_ALREADY_IN_USE",
"error": "Bad Request"
}{
"message": "No API key found in request"
}Wallets
Get the agreement message to sign
The exact text the investor’s wallet signs to link this address. It is the investor’s agreement to the Securitize wallet terms: show it and have it signed verbatim, never composed or altered on your side.
POST
/
wallets
/
{address}
/
prepare-verification
Get the agreement message to sign
curl --request POST \
--url https://partners-api.sandbox.securitize.io/stocks/v1/wallets/{address}/prepare-verification \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"investorId": "6b31c0e9a4f2d17e85c3b904",
"blockchainType": "solana"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({investorId: '6b31c0e9a4f2d17e85c3b904', blockchainType: 'solana'})
};
fetch('https://partners-api.sandbox.securitize.io/stocks/v1/wallets/{address}/prepare-verification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://partners-api.sandbox.securitize.io/stocks/v1/wallets/{address}/prepare-verification"
payload = {
"investorId": "6b31c0e9a4f2d17e85c3b904",
"blockchainType": "solana"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"agreementMessage": "By signing this message I confirm that I control the wallet 7EcDhSYGxXyscszYEp35KHN8vvw3svAuLKTzXwCFLtV and accept the Securitize wallet terms."
}{
"statusCode": 400,
"message": "WALLET_ALREADY_IN_USE",
"error": "Bad Request"
}{
"message": "No API key found in request"
}Authorizations
Path Parameters
Body
application/json